<?php

$session = $this->getSession();
$session = $this->getSession();
$registry = $this->getRegistry();

// appel fichier internalisation
$i18n = $this->getRegistry()->get('i18n');
$filter_html = new Yab_Filter_Html();
$filter_no_html = new Yab_Filter_NoHtml();


// $pager = new Yab_Helper_Pager($ihms_index, 'pager_ihm');

// $ihms_index_index = $pager->getStatement();
$ihms_index->noLimit();

?>
<script type='text/javascript'>
	var show_detail = false;

	$(document)
			.ready(
					function() {
						var oTableIhm;
						setClickableRow();
						oTableIhm = $(".table_module")
								.dataTable(
										{
											"bPaginate" : true,
											"bProcessing" : false,
											"bInfo" : false,
											"oLanguage" : {
												"sZeroRecords" : "<?php echo $filter_no_html->filter( $i18n -> say('recherche_error')) ; ?>",
												"sSearch" : "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale')) ; ?> :"
											},
											"sPaginationType" : "full_numbers",
										});
						oSettings = oTableIhm.fnSettings();
					});
	function setClickableRow() {
		$("table .table-clickable-row").each(function() {
			var redirect = $(this).attr('href')
			$(".table-row-data", $(this)).click(function() {
				window.location.href = redirect;
			})
		})
	}
</script>


<div class="table-responsive">
	<div id="optiontools"></div>

	<div id="table_ihms_index_wrapper">
		<table id="table_ihms_index"
			class="table_module table table-striped table-bordered table-hover table-condensed table-responsive">
			<caption>
				<?php echo $filter_no_html->filter( $i18n -> say('ihm_title_index')) ; ?>
			</caption>
			<thead>
				<tr class="headings">
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('id')) ; ?>
					</th>
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('NomIHM')) ; ?>
					</th>
					<th>
						<?php echo $filter_html->filter( $i18n->say('description')) ; ?>
					</th>
					
					<th colspan="2" align="center">
					<th colspan="2" align="center"><a
						href="<?php echo $this->getRequest('Ihm', 'add'); ?>">
							<span class="glyphicon glyphicon-plus-sign"
							style="font-size: 32px;" alt="Ajouter" title="Ajouter"></span>
					</a></th>
				</tr>
			</thead>
			<tbody>
				<?php foreach($ihms_index as $ihm){ ?>
				<tr
					href="<?php echo $this->getRequest('Ihm', 'show', $ihm->getPrimary()); ?>"
					title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>"
					class="table-clickable-row">

					<td class="table-row-data">
						<?php echo $ihm->get('Id', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $ihm->get('NomIHM', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $ihm->get('Description', $filter_html); ?>
					</td>
				

					<td class="table-row-option"><a
						href="<?php echo $this->getRequest('Ihm', 'edit', $ihm->getPrimary()); ?>"><span
							class="glyphicon glyphicon-edit" style="font-size: 18px;"
							alt="Editer" title="Editer"></span></a></td>
					<td class="table-row-option"><a
						href="<?php echo $this->getRequest('Ihm', 'delete', $ihm->getPrimary()); ?>"><span
							class="glyphicon glyphicon-remove-circle alert-danger"
							style="font-size: 18px;" alt="Supprimer" title="Supprimer"></span></a></td>
				</tr>
				<?php } ?>
			</tbody>
		</table>
	</div>
</div>
<div style="float: left; padding-bottom: 10px; padding-top: 10px">
	<span> <a
		href="<?php echo $this->getRequest('Index', 'index'); ?>"
		class="btn btn-default">Retour &agrave; index</a>
	</span>
</div>

